hnb (1.9.18+ds1-3) unstable; urgency=medium

  * Workaround FTBFS with GCC 10 by using -fcommon. (Closes: #957337)
  * Update Vcs-* header for move to Salsa.
  * Add version to dummy debian/watch to please lintian.
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 19 Apr 2020 09:01:23 +0200

hnb (1.9.18+ds1-2) unstable; urgency=low

  * Declare compliance with Debian Policy 4.1.2. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Switch Vcs-* headers to cgit and HTTPS.
  * Remove no more needed lintian (source) override.
  * Enable all hardening build flags.
  * Expand 28_fix_spelling_error_in_binary.patch to fix some more spelling
    errors found by lintian.
  * debian/copyright: Update URL to lhnb git repo. Issue reported by DUCK.
  * Add debian/duck-overrides for an old, no more valid e-mail address
    where no more recent address couldn't be determined.
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Mon, 18 Dec 2017 02:50:04 +0100

hnb (1.9.18+ds1-1) unstable; urgency=medium

  * Rebuilt upstream source tar ball without generated files:
    + doc/Documentation.html
    + src/cli_history.o (fixes lintian warning source-is-missing)
    + src/hnbrc.inc
    + src/init_subsystems.c
  * Run under LC_ALL=C to fix FTBFS under some locales. (Closes: #795638)
  * Declare compliance with Debian Policy 3.9.6 (no changes needed)
  * Add patch to fix spelling error in resulting binary.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Aug 2015 13:04:00 +0200

hnb (1.9.18-10) unstable; urgency=low

  * Apply wrap-and-sort
  * Switch to Source-Format "3.0 (quilt)"
    + Remove quilt traces from debian/rules
    + Remove build-dependency on quilt
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump debhelper compatibility to 9
    + Update versioned build-dependency on debhelper accordingly
  * Revamp debian/rules:
    + Use debian/clean instead of manually calling rm
    + Make use of dh_clean's implicit removals (remove unneeded parameter)
    + Use dh_auto_clean
    + Use dh_auto_build to get hardening flags and drop manual
      DEB_BUILD_OPTIONS handling.
    + Finally switch to a dh7 style debian/rules file
  * Patch wrong printf usage in src/libcli/cli.c to make it compile with
    hardening build flags.
  * Add patch to pass $LDFLAGS to linker in src/Makefile. Fixes lintian
    warning hardening-no-relro.
  * Add patch to fix segfault if $HOME is not set (Closes: #716062)
  * Add Vcs-* headers
  * Add debian/gbp.conf to make sure git-import-* cares about pristine-tar.

 -- Axel Beckert <abe@debian.org>  Sat, 13 Jul 2013 17:42:11 +0200

hnb (1.9.18-9) unstable; urgency=low

  * Mark node as not temporary when finishing an edit.  Merged from lhnb.
    (Patch 24, Closes: #574118)
  * Bump standards version to 3.9.2.
  * Add the targets binary-indep and binary-arch to debian/rules.

 -- Carsten Hey <carsten@debian.org>  Mon, 29 Aug 2011 16:06:20 +0200

hnb (1.9.18-8) unstable; urgency=low

  [ Carsten Hey ]
  * Update default hnbrc (Patch 03; update offset in dependent patch 50):
    + Adapt search key bindings to be more intuitive (at least for vi users,
      others presumably don't try these keys):
      - "N" does now search backwards instead of forward in context search.
      - The key binding for "P" in context search has been removed.
    + Do some whitespace fixes, hnb is very fussy about whitespaces in ascii
      mode, which is the recommended way to edit this file.
    + Change symbol for undone todo entries in alternative bullet style from
      "!" to "_".
  * Add patches required for wide character support.  Besides applying
    below-mentioned patches, adding correct calculation of the cursor position
    in ui_edit.c is required for wide character support:
    + Make drawing the cursor independent from *data, this eases adding wide
      character  support to hnb.  Since we don't have full wide character
      support yet, this patch uses addch() and inch() instead of add_wch() and
      in_wch().  (Patch 19)
    + Call setlocale("LC_ALL") on startup of hnb.  (Patch 20)
    + Link against the wide character variant of libncurses and adapt build
      dependency.  (Patch 21).
  * Set encoding to UTF-8 in exported files.  (Patch 22)
  * Fix spelling errors in man page.  (Patch 23)
  * Override pedantic lintian warning "source-contains-prebuilt-binary" since
    we don't have an upstream to report this to.
  * Add ${misc:Depends} to debian/control.
  * Bump standards version to 3.9.1.
  * New maintainer address, also update debian/copyright.

  [ Axel Beckert ]
  * Add myself as uploader.

 -- Carsten Hey <carsten@debian.org>  Mon, 30 Aug 2010 22:50:30 +0200

hnb (1.9.18-7) unstable; urgency=low

  * Upload to unstable again.
  * Make appearance of todo bullets configurable, this patch has been merged
    from lhnb, a hnb fork by Tomáš Janoušek.
  * Mention lhnb in debian/copyright.
  * Add an alternative bullet style to default hnbrc and reformat hnbrc.  The
    alternative style uses less columns than the original style.

 -- Carsten Hey <c.hey@web.de>  Thu, 19 Feb 2009 07:58:50 +0100

hnb (1.9.18-6) experimental; urgency=low

  * Fixed a character lost bug in word wrapping.  Thanks to Tomáš Janoušek for
    the patch.
  * Bump dh compat level to 7, update build dependency and use dh_prep instead
    of dh_clean -k.

 -- Carsten Hey <c.hey@web.de>  Sat, 31 Jan 2009 13:03:34 +0100

hnb (1.9.18-5) experimental; urgency=low

  * Upload to experimental.  Lenny is in hard freeze and these changes are not
    targeted for Lenny.
  * Wrap words that are longer than one line.  This patch has been written by
    Tomáš Janoušek <tomi@nomi.cz> in 2007.
  * Merge hnbrc.vi into hnbrc and add some macros which change e.g. the
    keybindings.  Also improve the vi-like keybindings.  (Closes: #292889)
  * Enable some additional editing commands in hnbrc, e.g. ^B, ^F and ^D.
  * Update alternative color scheme so that it does not assume a terminal with
    dark background color anymore.
  * Mention orphaning by upstream in long description.  (Closes: #303711)
  * Mention additional contributors in debian/copyright.
  * README includes upstream's changelog, thus add a new upstream changelog
    file which points to README.
  * Disable watch file.  hnb 1.9.18 has been removed from sourceforge.net.

 -- Carsten Hey <c.hey@web.de>  Wed, 28 Jan 2009 08:27:13 +0100

hnb (1.9.18-4) unstable; urgency=low

  * New maintainer.  Thanks James Morrison!  (Closes: #465888)
  * Fix broken cursor.  (Closes: #339613)
  * Save recovery files in hnb's native format and choose a different naming
    scheme.  Thanks to Steve Pomeroy.  (Closes: #340061)
  * Don't lose fresh nodes created in search mode after pressing left key.
    This is achieved through a adapted configuration file and thus does not
    fix bug #405117 for old installations.
  * Use sensible-browser instead of w3m. (Closes: #396370)
  * Document exporting via shell command.  (Closes: #223268)
  * Don't compress Documentation.hnb.  It is supposed to be read by our users
    with one simple command.  Document this in hnb(1).
  * Fix line breaks in alternate hnbrc file.
  * Build cleanly twice in a row and regenerate the documentation, the
    configuration file and init_subsystems.c.  Also handle CFLAGS correctly.
  * libxml has been silently disabled by a previous upload, remove build
    dependency.
  * Maintain patches using quilt, add build dependency.
  * Bump compat level to 5, update build dependency.
  * Bump Standards-Version to 3.8.0.
  * Move menu item from section Apps/Tools to Applications/Data Management.
  * Update debian/copyright, update watch file, update description and add a
    doc-base control file.
  * Don't ignore errors in make clean.

 -- Carsten Hey <c.hey@web.de>  Fri, 27 Jun 2008 16:15:39 +0200

hnb (1.9.18-3) unstable; urgency=low

  * Make all callbacks return void*.  (Closes: #325645, #267438)

 -- James Morrison <phython@debian.org>  Sun, 18 Sep 2005 14:02:09 -0700

hnb (1.9.18-2) unstable; urgency=low

  * Fix implicitly converted pointer.  (Closes: #325352)

 -- James Morrison <phython@debian.org>  Sun, 28 Aug 2005 11:31:24 -0700

hnb (1.9.18-1) unstable; urgency=low

  * New upstream version.  (Closes: #291961)
  * Add todo markup to postscript output.  (Closes: #268968)

 -- James Morrison <phython@debian.org>  Mon, 21 Mar 2005 00:08:48 -0400

hnb (1.9.17-4) unstable; urgency=low

  * Add recursive expand/collapse. (Closes: #248798)
  * Update maintainer, properly this time!
  * Unset 'done' flag when toggling off a todo item. (Closes: #231256)
  * Return NULL if node is NULL in node_get. (Closes: #245875)
  * Provide an alternate hnbrc file. (Closes: #228413)

 -- James Morrison <phython@debian.org>  Wed, 26 May 2004 00:08:48 -0400

hnb (1.9.17-3) unstable; urgency=low

  * New debian maintainer. (Closes: #236689)
  * Quote menu items.
  * Use quotations instead of quotes.
  * Convert to non-native package.

 -- James Morrison <phython@debian.org>  Fri, 23 Apr 2004 10:28:58 -0400

hnb (1.9.17-2) unstable; urgency=low

  * Orphaning the package.

 -- Tore Anderson <tore@debian.org>  Sun,  7 Mar 2004 20:18:51 +0100

hnb (1.9.17-1) unstable; urgency=low

  * New upstream release, closes: #186963.
    - No longer crashes when writing to a read-only database, closes: #146494.
  * debian/hnb.dirs, debian/hnb.docs, debian/hnb.examples, debian/rules,
    debian/hnb.manpages (new):
    - Adapted to the new upstream release.
  * debian/control, debian/copyright:
    - New maintainer.
  * debian/control:
    - Up Standards-Version to 3.6.1.0, no changes required.
    - Correct spelling errors, closes: #124738.
    - Up debhelper dependency to version 4.0.0 or greater.
  * debian/rules, debian/compat (new):
    - Declare the debhelper compatibility from debian/compat, and increase
      it to 4 while I'm at it.
  * debian/changelog:
    - Remove magic markers for Emacs.

 -- Tore Anderson <tore@debian.org>  Sun, 26 Oct 2003 18:48:10 +0100

hnb (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Libxml2 support seems to be working now, enabled at configure
    (and added libxml2 dependency).

 -- Andras Bali <bali@debian.org>  Thu,  6 Sep 2001 21:56:29 +0200

hnb (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Mon,  9 Jul 2001 21:26:52 +0200

hnb (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Thu,  7 Jun 2001 19:37:57 +0200

hnb (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Sun, 27 May 2001 19:59:27 +0200

hnb (1.5-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Thu, 24 May 2001 17:18:51 +0200

hnb (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Wed, 16 May 2001 01:14:19 +0200

hnb (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Mon, 14 May 2001 23:13:40 +0200

hnb (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Sat, 12 May 2001 22:36:13 +0200

hnb (1.1b-1) unstable; urgency=low

  * New upstream release.

 -- Andras Bali <bali@debian.org>  Thu, 10 May 2001 18:48:36 +0200

hnb (1.0-1) unstable; urgency=low

  * Initial Release (Closes: #95245).

 -- Andras Bali <drewie@bigfoot.com>  Wed, 25 Apr 2001 20:00:16 +0200
